--- title: "Get site list" slug: "site-list" tags: ["Click Multi DRM", "Media"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/site-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get site list Available in Classic and VPC Get the site list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/sites | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Number of items per page - 1-100 | ### Request headers For information about the headers common to all One Click Multi DRM APIs, see [One Click Multi DRM request headers](/docs/en/one-click-multi-drm-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://multi-drm.apigw.ntruss.com/api/v1/sites?pageNo=1&pageSize=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | API processing result - `true` \| `false` - `true`: Succeeded - `false`: Failed | | `content` | Array | - | Site list: [content](/docs/en/site-list#content) | | `total` | Integer | - | Total response count | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `disabled` | Boolean | - | Whether Sub Account is disabled - `true` \| `false` - `true`: Disabled - `false`: Enabled | | `siteId` | String | - | Site ID | | `siteName` | String | - | Site name | | `siteStatus` | String | - | Site status - `CREATING` \| `READY` \| `RUNNING` \| `DELETED` - `CREATING`: Creating - `READY`: Available - `RUNNING`: In use - `DELETED`: Deleted | | `siteEnabledYn` | Boolean | - | Site activation status - `true` \| `false` - `true`: Enabled - `false`: Disabled | | `policyId` | Integer | - | DRM policy ID - `0`: Basic | | `policyName` | String | - | Policy name - `Basic` (default) | | `fairPlayCert` | Object | - | FairPlay Streaming authentication information | | `fairPlayCert.certFile` | String | - | FPS certificate - DER or CER file created on the Apple Developer Portal - Only HTTP URLs are supported. | | `fairPlayCert.privateKey` | String | - | Private key - PEM file - Only HTTP URLs are supported. | | `fairPlayCert.privateEncryptedString` | String | - | Passphrase for opening the private key file | | `fairPlayCert.secretKey` | String | - | Application Secret Key (ASK) string - Acquired simultaneously with FPS certificate generation | | `statistics` | Object | - | Site statistics information | | `statistics.siteMontlyActiveUser` | Integer | - | Monthly number of users using DRM-applied content | | `statistics.siteMontlyActiveLicense` | Integer | - | Monthly active licenses | | `statistics.siteMontlyActiveDevice` | Integer | - | Monthly number of devices that played DRM-applied content | | `siteCreatedTime` | Integer | - | Site creation date and time (millisecond) - Unix timestamp format | | `siteUpdatedTime` | Integer | - | Site modification date and time (millisecond) - Unix timestamp format | ### Response status codes For information about the response status codes common to all One Click Multi DRM APIs, see [One Click Multi DRM response status codes](/docs/en/one-click-multi-drm-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "success": true, "content": [ { "disabled": false, "siteId": "drm-20250902164486-*****", "siteName": "myDrmSite000", "siteStatus": "READY", "siteEnabledYn": false, "policyId": 0, "policyName": "Basic", "fairPlayCert": {}, "statistics": { "siteMontlyActiveUser": 0, "siteMontlyActiveDevice": 0, "siteMontlyActiveLicense": 0 }, "siteCreatedTime": 1756799065841, "siteUpdatedTime": 1756774819000 }, { "disabled": false, "siteId": "drm-20250903141775-*****", "siteName": "myDrmSite", "siteStatus": "READY", "siteEnabledYn": false, "policyId": 0, "policyName": "Basic", "fairPlayCert": { "certFile": "myFairPlayCert.cer", "privateKey": "myFairPlayCertPrivateKey.pem", "privateEncryptedString": "***********", "secretKey": "***********" }, "statistics": { "siteMontlyActiveUser": 0, "siteMontlyActiveDevice": 0, "siteMontlyActiveLicense": 0 }, "siteCreatedTime": 1756876670519, "siteUpdatedTime": 1756844777000 } ], "total": 2 } ```